> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a Delivery Method

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Adds a single delivery method to an existing Report Schedule.

<Note>
  Adding `email` as a delivery method requires the schedule to already
  have at least one recipient.
</Note>

## Path Parameters

<ParamList
  items={[
{
name: 'schedule_id',
type: 'string',
required: true,
description: 'ID of the Report Schedule.',
},
]}
/>

## Body

<ParamList
  items={[
{
name: 'delivery_method',
type: 'enum',
required: true,
description: (
  <>
    The delivery method to add. Can be <code>email</code> or <code>webhook</code>.
  </>
),
},
]}
/>

## Returns

Returns the updated Report Schedule object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/delivery_methods \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "delivery_method": "email"
    }'
  ```

  ```javascript Node.js theme={null}
  const reportSchedule = await method
    .reportSchedules('rpt_sch_Gqjh8pzeUfzH6')
    .deliveryMethods
    .add({
      delivery_method: 'email'
    });
  ```

  ```python Python theme={null}
  report_schedule = method.report_schedules('rpt_sch_Gqjh8pzeUfzH6')
    .delivery_methods
    .add({
      'delivery_method': 'email'
    })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "rpt_sch_Gqjh8pzeUfzH6",
    "types": [
      "ach.pull.nightly"
    ],
    "delivery_methods": [
      "webhook",
      "email"
    ],
    "recipients": [
      "recipient@methodfi.com"
    ],
    "cron": "0 8 * * *",
    "status": "active",
    "created_at": "2026-06-01T13:21:10.386Z",
    "updated_at": "2026-06-01T13:24:42.118Z"
  }
  ```
</ResponseExample>
